SpecializationUtil.registerSpecialization("wheelDirt_Fix", "wheelDirt_Fix", g_currentModDirectory.."wheelDirt_Fix.lua")

wheelDirt_Fix_Register = {};

function wheelDirt_Fix_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("--- loading wheelDirtCleaner mod V1.0 --- (by upsidedown)")
		--return
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					--if i == 1 or vs ~= nil and (vs == SpecializationUtil.getSpecialization("wheelDirt_Fix")) then
					if vs ~= nil and (vs == SpecializationUtil.getSpecialization("steerable") or vs == SpecializationUtil.getSpecialization("attachable")) then 
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.wheelDirt_Fix", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then
							--print("wheeldirt insert")
							table.insert(v.specializations, SpecializationUtil.getSpecialization("wheelDirt_Fix"));
						end;						
					end;
				end;
			end;	
		end;
	end;
end;

function wheelDirt_Fix_Register:deleteMap()
  
end;

function wheelDirt_Fix_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function wheelDirt_Fix_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function wheelDirt_Fix_Register:update(dt)
	
end;

function wheelDirt_Fix_Register:draw()
  
end;

addModEventListener(wheelDirt_Fix_Register);